<?php

function discover_cmp($a, $b)
{
  return strcmp($a['id'],$b['id']);
}

function discover_masks()
{
  $info = array();

  if (($d = opendir($_SESSION['sys']['basedir'].'masks')) === false)
    return $info;

  while (($file = readdir($d)) !== false)
    if (substr($file,-4) == '.php') {
      $fname = substr($file,0,-4);
      $info[] = array('id' => $fname, 'text' => $fname);
    }
  closedir($d);

  usort($info,discover_cmp);
  return $info;
}

$mask = array(
	      'table' => 'sys_mask',
	      'title' => 'Liste der Menüpunkte',
	      'join' => array('sys_menu ON sys_mask.menu = sys_menu.id'),
	      'list' => array(
			      'id' => array(
					    'name' => 'ID',
					    'visible' => false,
					    'sql' => 'sys_mask.id',
					    ),
			      'fname' => array(
					    'name' => 'Dateiname',
					    'width' => 100,
					    ),
			      'title' => array(
					    'name' => 'Beschreibung',
					    'width' => 150,
					    ),
			      'menutitle' => array(
					    'name' => 'Menüpunkt',
					    'width' => 100,
					    ),
			      'menu' => array(
					    'name' => 'Menü',
					    'sql' => 'sys_menu.name',
					    'width' => 100,
					    ),
			      'edit' => array(
					    'name' => 'Edit',
					    'width' => 40,
					    'specs' => "ClassName: 'aligncenter'",
					    ),
			      'priority' => array(
					    'name' => 'Priorität',
					    'width' => 60,
					    'type' => 'number',
					    'specs' => "ClassName: 'alignright'",
					    'sql' => 'sys_mask.priority',
					    ),
			      'sys_user' => array(
					    'name' => 'Bearb.',
					    'width' => 50,
					    'visible' => false,
					    'sql' => 'sys_mask.sys_user',
					    ),
			      'sys_edit' => array(
					    'name' => 'Geändert',
					    'width' => 80,
					    'type' => 'date',
					    'visible' => false,
					    'sql' => 'sys_mask.sys_edit',
					    ),
			      ),
	      'rows' => 20,
	      'edit' => array(
			      'fname' => array(
					    'name' => 'Dateiname',
					    'type' => 'select',
					    'options' => discover_masks(),
					    'options_string' => true,
					    ),
			      'title' => array(
					    'name' => 'Beschreibung',
					    'type' => 'text',
					    'size' => 24,
					    ),
			      'menutitle' => array(
					    'name' => 'Menüpunkt',
					    'type' => 'text',
					    'size' => 24,
					    ),
			      'menu' => array(
					    'name' => 'Menü',
					    'type' => 'select',
					    'options' => 'SELECT id,name AS text FROM sys_menu ORDER BY name',
					    'size' => 10,
					    ),
			      'edit' => array(
					    'name' => 'Edit',
					    'type' => 'boolean',
					    ),
			      'priority' => array(
					    'name' => 'Priorität',
					    'type' => 'number',
					    'size' => 10,
					    ),
			      ),
	      );

?>
